# StructureValidator

Allows testing a hash against a specified structure:

    test_hash = { 
      name: 'Foo',
      count: 3,
      data: {
        text: 'content',
        meta: 'http://example.com'
      }
    }

    expected_structure = {
      name: 'string',
      count: 'integer',
      data: {
        text: 'string',
        meta: 'string
      }
    }

    StructureValidator.validate(test_hash, expected_structure)
    # => true

## Installation

Add this line to your application's Gemfile:

    gem 'structure_validator'

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install structure_validator

## Contributing

1. Fork it
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request
