# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'structure_validator/version'

Gem::Specification.new do |spec|
  spec.name          = "structure_validator"
  spec.version       = StructureValidator::VERSION
  spec.authors       = ["Claudio Ortolina"]
  spec.email         = ["claudio@new-bamboo.co.uk"]
  spec.description   = %q{Validates a hash against an expected structure.}
  spec.summary       = %q{Validates a hash against an expected structure.}
  spec.homepage      = ""
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "rspec"
end
